View Issue Details

IDProjectCategoryView StatusLast Update
0000067luatexluatex bugpublic2009-04-10 12:37
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.25.3 
Target Version0.38.0Fixed in Version0.38.0 
Summary0000067: fmt files are platform dependent
DescriptionFrom Richard Koch:

> I just discovered that luatex format files made on an intel processor and those same formats made on a powerpc processor are not the same. This comes up for the Mac because we ship universal binaries with premade format files. (We can easily get around the problem, but I'm hoping that eventually ...)

> Here is a list of the various lengths. Formats with no processor extension were made on a powerpc.

koch staff 2245097 Jul 10 14:37 lualatex.fmt
koch staff 2245328 Jul 8 20:56 lualatex.fmt.i386
koch staff 2505890 Jul 10 14:37 luatex.fmt
koch staff 2508097 Jul 8 20:57 luatex.fmt.i386
koch staff 2245039 Jul 10 14:37 pdflualatex.fmt
koch staff 2245320 Jul 8 20:57 pdflualatex.fmt.i386
koch staff 362622 Jul 10 14:37 pdfluatex.fmt
koch staff 365832 Jul 8 20:57 pdfluatex.fmt.i386

To help, I'm sending the shortest of these, pdfluatex, for powerpc and intel.
TagsNo tags attached.

Activities

2008-07-11 22:35

 

pdfluatex.fmt (362,622 bytes)

2008-07-11 22:35

 

pdfluatex.fmt.i386 (365,832 bytes)

Taco

2009-03-28 18:06

administrator   ~0000132

Just add a note to kick the item up in the list

Taco

2009-04-06 21:27

administrator   ~0000137

Fixed by #2204

Taco

2009-04-07 10:00

administrator   ~0000138

#2207 adds support for portable lua bytecode

Issue History

Date Modified Username Field Change
2008-07-11 22:35 Taco New Issue
2008-07-11 22:35 Taco Status new => assigned
2008-07-11 22:35 Taco Assigned To => Taco
2008-07-11 22:35 Taco File Added: pdfluatex.fmt
2008-07-11 22:35 Taco File Added: pdfluatex.fmt.i386
2008-12-05 11:53 Taco Target Version => 0.40.0
2009-03-28 18:06 Taco Note Added: 0000132
2009-04-06 21:27 Taco Status assigned => resolved
2009-04-06 21:27 Taco Resolution open => fixed
2009-04-06 21:27 Taco Note Added: 0000137
2009-04-07 10:00 Taco Note Added: 0000138
2009-04-10 12:36 Taco Fixed in Version => 0.38.0
2009-04-10 12:36 Taco Target Version 0.40.0 => 0.38.0
2009-04-10 12:37 Taco Status resolved => closed